%% add paths

% add PTB

addpath(genpath('/Users/Shared/Psychtoolbox'));

% add dotsx functions

pn.workingFolder = '/Volumes/fb-lip/LNDG/Julian/Projects/DYNSAT/C_Paradigm/MAT_V2/';

addpath(genpath([pn.workingFolder, 'functions/']));
addpath(genpath([pn.workingFolder, 'dotsx/']));

addpath(genpath('/Volumes/fb-lip/LNDG/Julian/Projects/DYNSAT/C_Paradigm/Z_tools/'));

%% set up and run RDM experiment
Screen('Preference', 'SkipSyncTests', 1);
%OSXCompositorIdiocyTest()
%oldLevel = Screen('Preference', 'Verbosity', 4); % output debugging info
%PsychDebugWindowConfiguration(0,0.3)

dotInfo = createDotInfo_JQK_170327;
dotInfo.dataDir = [pn.workingFolder, 'data/']; %mkdir(dotInfo.dataDir);

subj = 'JQK_Test_170626_01';
DEBUG = 1;
opacity = 1;
dotsExperiment_JQK_170327(dotInfo, subj, 0, DEBUG, opacity)